namespace eval testsync {
}

proc stdConfig::testsync {} {
  controller syncedprot
  obj test wr
  prop write testsync::write
  prop read testsync::read
}

proc testsync::write {} {
  _lev debug 0
  sctsync {lev mode [sct target]}
  return stdSct::completeUpdate
}

proc testsync::read {} {
  _lev debug -1
  sct update [silent 0 hvali [sct]]
  return idle
}
